#include "ds1620.h"
#include "lcd.h"
#include "stdlib.h"

int main (void)
{
	unsigned char buffer [6];

	lcd_init (LCD_DISP_ON);
	lcd_puts ("DS1620: ");

	ds1620_init ();
	
	/*delay - after initialization the sensor needs some time
	to convert the first temperature*/
	volatile unsigned short i = 65500;
	while (i)
	{
		i--;
	}

	dtostrf((double) ds1620_get_temp ()/2, 5, 1, buffer);
	lcd_puts (buffer);
	lcd_puts (" C");
}

